package com.yem.wm.sys.ide.plugins.dynamic;

import kd.bos.dataentity.entity.DynamicObjectCollection;
import kd.bos.form.plugin.AbstractFormPlugin;

import java.util.EventObject;

/**
 * @author 夜子
 * @ClassName 插件编辑器-表单插件扩展
 * @description:   修改标准插件锁定性
 * @date 2023年08月07日
 * @version: 1.0
 */
public class ExtPluginsPlugin extends AbstractFormPlugin {

    @Override
    public void afterCreateNewData(EventObject e) {
        super.afterCreateNewData(e);
        DynamicObjectCollection entryentity = this.getModel().getEntryEntity("entryentity");
        for (int i = 0; i < entryentity.size(); i++) {
            this.getView().setEnable(true, i, "enabled");
        }
    }
}
